pvklink
Posts: 15
Joined: Wed Mar 08, 2017 3:03 pm

error updating my raspberry pi 3b with latest raspbian

Thu Oct 11, 2018 6:19 pm

Hi all,

When i do a sudo apt-get update and apt-get upgrade i get:


De changelogs worden ingelezen... Klaar
(Database wordt ingelezen ... 147777 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../python-unicornhathd_0.0.4_all.deb wordt voorbereid...
/var/lib/dpkg/info/python-unicornhathd.prerm: 6: /var/lib/dpkg/info/python-unicornhathd.prerm: pyclean: not found
dpkg: waarschuwing: subproces verouderd pre-removal script gaf een foutwaarde 127 terug
dpkg: script uit het nieuwe pakket wordt geprobeerd als alternatief...
/var/lib/dpkg/tmp.ci/prerm: 6: /var/lib/dpkg/tmp.ci/prerm: pyclean: not found
dpkg: fout bij verwerken van archief /var/cache/apt/archives/python-unicornhathd_0.0.4_all.deb (--unpack):
subproces nieuw pre-removal script gaf een foutwaarde 127 terug
/var/lib/dpkg/info/python-unicornhathd.postinst: 6: /var/lib/dpkg/info/python-unicornhathd.postinst: pycompile: not found
dpkg: fout tijdens opruimen:
subproces post-installation script geïnstalleerd gaf een foutwaarde 127 terug
Fouten gevonden tijdens verwerken van:
/var/cache/apt/archives/python-unicornhathd_0.0.4_all.deb

Somebody knows how i do get rid of these errors?

Thanks

gadgetoid
Posts: 152
Joined: Wed Mar 07, 2012 9:58 pm

Re: error updating my raspberry pi 3b with latest raspbian

Mon Oct 15, 2018 11:56 am

It looks like you might have a broken/missing `python-minimal` package. Try running `sudo apt install --reinstall python-minimal` and then retrying the update to see if it solves your problem.

This could indicate SD card corruption, though, so if you experience further issues a backup/reimage might be necessary.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6259
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: error updating my raspberry pi 3b with latest raspbian

Mon Oct 15, 2018 11:59 am

If it turns out to be python-minimal not being there, it would be interesting to find out how that happened. If I try to remove python-minimal on my system, it takes all python packages with it.

Return to “Troubleshooting”